> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start the export of raw data

> Start a raw data exportation for experiment or personalization, which will be sent to the given emails.



## OpenAPI

````yaml /automation.api.json post /raw-export/report
openapi: 3.0.3
info:
  title: OpenAPI definition for automation api
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account.You can retrieve it to
      view its properties, such as its current e-mail address or locale.With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> Not all settings are exposed via
      the API. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag is used to  help our clients implement new features, test and
      deploy them viaour SDK. This service allows you to create and configure
      the feature flag which will be used in the source code of your feature.
    name: FeatureFlag
  - description: >
      You can use your account to set up multiple websites.This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment,It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that is already available,such as user account
      information.
    name: CustomData
  - description: >-
      Experiment is an A/B test which can be targeted to a specific audience or
      any other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can be used to achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      be linked to one or several goals. All goals can be managed through
      Kameleoon interface or Automation API. There are variety of different
      goals you can choose from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that `KeyMoment`
      has now been renamed to `Triggers`.
    name: KeyMoment
  - description: >-
      KeyPage allows you to target visitors that have visited a particular page,
      or multiple pages on your website.
    name: KeyPage
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: ProjectThemeConfig
  - description: This is an object representing recommender block
    name: RecommenderBlock
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors.You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: StudioRecommenderBlock
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: TakeawayComment
  - description: >-
      TargetingRule is a system entity that combines segments (user groups) and
      triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: TargetingRule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that can be edited for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started.All changes will be saved in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: WidgetStudio
  - description: This is an object representing widget studio template
    name: WidgetStudioTemplate
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Gaining
      insights into your website's audience is essential for effectively
      adjusting segments.
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      Personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /raw-export/report:
    post:
      tags:
        - Raw Export
      summary: Start the export of raw data
      description: >-
        Start a raw data exportation for experiment or personalization, which
        will be sent to the given emails.
      operationId: raw-export
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RawExport'
        required: true
      responses:
        '200':
          description: Report export started successfully.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ReportResponse'
        '204':
          description: No data match your request.
        '400':
          description: Invalid input parameters or status.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ReportResponse'
        '402':
          description: Export not allowed due to plan limitations.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ReportResponse'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ServiceError'
        '503':
          description: Queue is full, try later!
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ReportResponse'
components:
  schemas:
    RawExport:
      required:
        - actionType
        - conversionType
        - dateIntervals
        - format
        - id
        - level
      type: object
      properties:
        receiverEmailAddrs:
          type: array
          description: List of receiver email addresses
          example:
            - john@kameleoon.com
            - jane@kameleoon.com
          items:
            type: string
            description: Receiver email addresses
            example: john@kameleoon.com
        id:
          type: integer
          description: ID of the experiment or personalization
          format: int64
        level:
          type: string
          description: Analytics level VISIT/VISITOR
          example: VISIT
          enum:
            - VISIT
            - VISITOR
        dateIntervals:
          type: array
          description: Date interval for the report
          items:
            $ref: '#/components/schemas/DateInterval1'
        format:
          type: string
          description: Format of the report
          example: CSV
          enum:
            - CSV
        filters:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/AdBlockerFilter1'
              - $ref: '#/components/schemas/BrowserFilter1'
              - $ref: '#/components/schemas/BrowserLanguageFilter1'
              - $ref: '#/components/schemas/ConversionsFilter1'
              - $ref: '#/components/schemas/CustomDataFilter1'
              - $ref: '#/components/schemas/DayFilter'
              - $ref: '#/components/schemas/DeviceTypeFilter1'
              - $ref: '#/components/schemas/ExperimentDataFilter1'
              - $ref: '#/components/schemas/FirstReferrerFilter1'
              - $ref: '#/components/schemas/KeyPageFilter'
              - $ref: '#/components/schemas/LandingPageURLFilter1'
              - $ref: '#/components/schemas/NewVisitorFilter'
              - $ref: '#/components/schemas/NumberPagesFilter2'
              - $ref: '#/components/schemas/NumberVisitsFilter1'
              - $ref: '#/components/schemas/OperatingSystemFilter1'
              - $ref: '#/components/schemas/PageTitleFilter1'
              - $ref: '#/components/schemas/PageURLFilter1'
              - $ref: '#/components/schemas/PersonalizationDataFilter1'
              - $ref: '#/components/schemas/ReferrerURLFilter1'
              - $ref: '#/components/schemas/SdkFilter2'
              - $ref: '#/components/schemas/SinceLastVisitFilter1'
              - $ref: '#/components/schemas/TargetingSegmentFilter1'
              - $ref: '#/components/schemas/TemperatureFilter2'
              - $ref: '#/components/schemas/TimeSlotFilter1'
              - $ref: '#/components/schemas/TimeSpentFilter1'
              - $ref: '#/components/schemas/TrafficFilter2'
              - $ref: '#/components/schemas/WeatherFilter1'
              - $ref: '#/components/schemas/WeekdayFilter1'
        filtersExpression:
          oneOf:
            - $ref: '#/components/schemas/FilterLogicalExpression'
            - $ref: '#/components/schemas/FilterPredicate'
        actionType:
          type: string
          description: Action type of the report
          example: EXPERIMENT
          enum:
            - EXPERIMENT
            - PERSONALIZATION
        customDataIds:
          type: array
          description: Custom data to export
          items:
            type: integer
            description: Custom data to export
            format: int64
        conversionType:
          type: string
          description: >-
            Type of the conversion, we have two options ALL_CONVERSION and
            CONVERTED_VISITS
          enum:
            - ALL_CONVERSION
            - CONVERTED_VISITS
    ReportResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        msg:
          type: string
    ServiceError:
      type: object
      properties:
        serviceName:
          type: string
        message:
          type: string
    DateInterval1:
      type: object
      properties:
        start:
          type: string
          format: date-time
        end:
          type: string
          format: date-time
      description: Date interval for the report
    AdBlockerFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
    BrowserFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - CHROME
                  - EDGE
                  - FIREFOX
                  - SAFARI
                  - OPERA
            include:
              type: boolean
            browserIntValue:
              uniqueItems: true
              type: array
              items:
                type: integer
                format: int32
    BrowserLanguageFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - AB
                  - AA
                  - AF
                  - AK
                  - SQ
                  - AM
                  - AR
                  - AN
                  - HY
                  - AS
                  - AV
                  - AE
                  - AY
                  - AZ
                  - BM
                  - BA
                  - EU
                  - BE
                  - BN
                  - BH
                  - BI
                  - BS
                  - BR
                  - BG
                  - MY
                  - CA
                  - CH
                  - CE
                  - NY
                  - ZH
                  - CV
                  - KW
                  - CO
                  - CR
                  - HR
                  - CS
                  - DA
                  - DV
                  - NL
                  - DZ
                  - EN
                  - EO
                  - ET
                  - EE
                  - FO
                  - FJ
                  - FI
                  - FR
                  - FF
                  - GL
                  - KA
                  - DE
                  - EL
                  - GN
                  - GU
                  - HT
                  - HA
                  - HE
                  - HZ
                  - HI
                  - HO
                  - HU
                  - IA
                  - ID
                  - IE
                  - GA
                  - IG
                  - IK
                  - IO
                  - IS
                  - IT
                  - IU
                  - JA
                  - JV
                  - KL
                  - KN
                  - KR
                  - KS
                  - KK
                  - KM
                  - KI
                  - RW
                  - KY
                  - KV
                  - KG
                  - KO
                  - KU
                  - KJ
                  - LA
                  - LB
                  - LG
                  - LI
                  - LN
                  - LO
                  - LT
                  - LU
                  - LV
                  - GV
                  - MK
                  - MG
                  - MS
                  - ML
                  - MT
                  - MI
                  - MR
                  - MH
                  - MN
                  - NA
                  - NV
                  - ND
                  - NE
                  - NG
                  - NB
                  - NN
                  - 'NO'
                  - II
                  - NR
                  - OC
                  - OJ
                  - CU
                  - OM
                  - OR
                  - OS
                  - PA
                  - PI
                  - FA
                  - PL
                  - PS
                  - PT
                  - QU
                  - RM
                  - RN
                  - RO
                  - RU
                  - SA
                  - SC
                  - SD
                  - SE
                  - SM
                  - SG
                  - SR
                  - GD
                  - SN
                  - SI
                  - SK
                  - SL
                  - SO
                  - ST
                  - ES
                  - SU
                  - SW
                  - SS
                  - SV
                  - TA
                  - TE
                  - TG
                  - TH
                  - TI
                  - BO
                  - TK
                  - TL
                  - TN
                  - TO
                  - TR
                  - TS
                  - TT
                  - TW
                  - TY
                  - UG
                  - UK
                  - UR
                  - UZ
                  - VE
                  - VI
                  - VO
                  - WA
                  - CY
                  - WO
                  - FY
                  - XH
                  - YI
                  - YO
                  - ZA
                  - ZU
            include:
              type: boolean
            languageCodes:
              uniqueItems: true
              type: array
              items:
                type: string
    ConversionsFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int64
            include:
              type: boolean
    CustomDataFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            customDataId:
              type: integer
              format: int64
            value:
              type: string
    DayFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
    DeviceTypeFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - DESKTOP
                  - TABLET
                  - PHONE
            include:
              type: boolean
    ExperimentDataFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            id:
              type: integer
              format: int64
            variationIds:
              uniqueItems: true
              type: array
              items:
                type: integer
                format: int64
            include:
              type: boolean
    FirstReferrerFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int32
            include:
              type: boolean
            valuesAsString:
              uniqueItems: true
              type: array
              items:
                type: string
    KeyPageFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int32
            include:
              type: boolean
    LandingPageURLFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    NewVisitorFilter:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            visitorsType:
              type: string
              enum:
                - NEW_VISITORS
                - RETURNING_VISITORS
    NumberPagesFilter2:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer'
    NumberVisitsFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer'
    OperatingSystemFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - WINDOWS
                  - MAC_OS
                  - I_OS
                  - LINUX
                  - ANDROID
                  - WINDOWS_PHONE
            include:
              type: boolean
            operatingSystemAsInteger:
              uniqueItems: true
              type: array
              items:
                type: integer
                format: int32
    PageTitleFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    PageURLFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    PersonalizationDataFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            id:
              type: integer
              format: int64
            exposition:
              type: string
              enum:
                - ALL
                - EXPOSED
                - NOT_EXPOSED
            include:
              type: boolean
    ReferrerURLFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
            include:
              type: boolean
    SdkFilter2:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            values:
              uniqueItems: true
              type: array
              items:
                type: string
                enum:
                  - JAVA
                  - ANDROID
                  - GO
                  - DOTNET
                  - PYTHON
                  - RUBY
                  - IOS
                  - PHP
                  - JAVASCRIPT
                  - NODEJS
                  - REACT
                  - RUST
                  - ELIXIR
    SinceLastVisitFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer'
    TargetingSegmentFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: integer
                format: int64
            include:
              type: boolean
    TemperatureFilter2:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            from:
              type: integer
              format: int32
            include:
              type: boolean
            param:
              type: string
              enum:
                - GREATER
                - LOWER
                - EQUAL
                - BETWEEN
            to:
              type: integer
              format: int32
    TimeSlotFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            visitorCalendar:
              type: boolean
            values:
              type: array
              items:
                type: array
                items:
                  type: string
            ranges:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/ImmutableTripleIntegerIntegerInteger'
    TimeSpentFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            include:
              type: boolean
            values:
              type: array
              items:
                $ref: '#/components/schemas/FilterContainer'
    TrafficFilter2:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - SEO
                  - SEM
                  - AFFILIATION
                  - EMAIL
                  - DIRECT
            include:
              type: boolean
    WeatherFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - CLEAR_SKY
                  - CLOUDS
                  - RAIN
                  - THUNDERSTORM
                  - SNOW
                  - HAIL
                  - WIND
                  - ATMOSPHERIC_DISTURBANCES
            include:
              type: boolean
            weatherAsString:
              uniqueItems: true
              type: array
              items:
                type: string
    WeekdayFilter1:
      type: object
      allOf:
        - $ref: '#/components/schemas/Filter1'
        - type: object
          properties:
            values:
              type: array
              items:
                type: string
                enum:
                  - SUNDAY
                  - MONDAY
                  - TUESDAY
                  - WEDNESDAY
                  - THURSDAY
                  - FRIDAY
                  - SATURDAY
            include:
              type: boolean
            visitorCalendar:
              type: boolean
            intValues:
              type: array
              items:
                type: integer
                format: int32
    FilterLogicalExpression:
      type: object
      allOf:
        - $ref: '#/components/schemas/FilterExpression'
        - type: object
          properties:
            operator:
              type: string
              enum:
                - AND
                - OR
            operands:
              type: array
              items:
                $ref: '#/components/schemas/FilterExpression'
    FilterPredicate:
      type: object
      allOf:
        - $ref: '#/components/schemas/FilterExpression'
        - type: object
          properties:
            filter:
              oneOf:
                - $ref: '#/components/schemas/AdBlockerFilter1'
                - $ref: '#/components/schemas/BrowserFilter1'
                - $ref: '#/components/schemas/BrowserLanguageFilter1'
                - $ref: '#/components/schemas/ConversionsFilter1'
                - $ref: '#/components/schemas/CustomDataFilter1'
                - $ref: '#/components/schemas/DayFilter'
                - $ref: '#/components/schemas/DeviceTypeFilter1'
                - $ref: '#/components/schemas/ExperimentDataFilter1'
                - $ref: '#/components/schemas/FirstReferrerFilter1'
                - $ref: '#/components/schemas/KeyPageFilter'
                - $ref: '#/components/schemas/LandingPageURLFilter1'
                - $ref: '#/components/schemas/NewVisitorFilter'
                - $ref: '#/components/schemas/NumberPagesFilter2'
                - $ref: '#/components/schemas/NumberVisitsFilter1'
                - $ref: '#/components/schemas/OperatingSystemFilter1'
                - $ref: '#/components/schemas/PageTitleFilter1'
                - $ref: '#/components/schemas/PageURLFilter1'
                - $ref: '#/components/schemas/PersonalizationDataFilter1'
                - $ref: '#/components/schemas/ReferrerURLFilter1'
                - $ref: '#/components/schemas/SdkFilter2'
                - $ref: '#/components/schemas/SinceLastVisitFilter1'
                - $ref: '#/components/schemas/TargetingSegmentFilter1'
                - $ref: '#/components/schemas/TemperatureFilter2'
                - $ref: '#/components/schemas/TimeSlotFilter1'
                - $ref: '#/components/schemas/TimeSpentFilter1'
                - $ref: '#/components/schemas/TrafficFilter2'
                - $ref: '#/components/schemas/WeatherFilter1'
                - $ref: '#/components/schemas/WeekdayFilter1'
    Filter1:
      required:
        - type
      type: object
      properties:
        type:
          type: string
      discriminator:
        propertyName: type
    FilterContainer:
      type: object
      properties:
        param:
          type: string
          enum:
            - GREATER
            - LOWER
            - EQUAL
            - BETWEEN
        value:
          type: integer
          format: int32
        unit:
          type: string
          enum:
            - SECONDS
            - MINUTES
            - HOURS
            - DAYS
            - WEEKS
    ImmutableTripleIntegerIntegerInteger:
      type: object
      properties:
        left:
          type: integer
          format: int32
        middle:
          type: integer
          format: int32
        right:
          type: integer
          format: int32
    FilterExpression:
      type: object

````